From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/dropbox/
Date: Tue, 4 Jun 2024 04:29:01 +0000 (UTC) [thread overview]
Message-ID: <1717475283.b108a723b33408eb72c505ba4cc4e5d1d708c943.ceamac@gentoo> (raw)
commit: b108a723b33408eb72c505ba4cc4e5d1d708c943
Author: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 4 04:28:03 2024 +0000
Commit: Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Tue Jun 4 04:28:03 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b108a723
dev-python/dropbox: add 12.0.2
Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>
dev-python/dropbox/Manifest | 1 +
dev-python/dropbox/dropbox-12.0.2.ebuild | 44 ++++++++++++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/dev-python/dropbox/Manifest b/dev-python/dropbox/Manifest
index 0f28e5ad5..a22c7acaf 100644
--- a/dev-python/dropbox/Manifest
+++ b/dev-python/dropbox/Manifest
@@ -1,2 +1,3 @@
DIST dropbox-sdk-python-11.36.2.gh.tar.gz 1166700 BLAKE2B afd0592bd1e18416f91d1fd673f2b7b7f605eaab80c02a9d8535fefa7fb23c8bc6a08c191492e1ced5d4b2d17fa72e8e5b6a58ba797f170c0efb75e755a451c9 SHA512 ec27685b4e5344e706bffb68b110ef2d7b307a5865bed3e042d6835f3666d2eefca646627a07bae1a3142e5f0346865fe285b037b00f3da081eb5797f9a768f5
DIST dropbox-sdk-python-12.0.1.gh.tar.gz 1155009 BLAKE2B 615aa4650d030fbbf7e6f487c2a314f763a4b153cd94c1e2f9720c4b426bf53007e4e01883f1cde2fab25b6df8f9bc35cc376ced9100c4c023c2685366b2456c SHA512 4346ced633f07f255ac23089bb8e4ed22dbba18b25e1e36dc3c083bb4afa45a8824ac772db04cd0b679b43c08c61dcca1dfa70fbb367b3dc625d5f6647d31589
+DIST dropbox-sdk-python-12.0.2.gh.tar.gz 1155008 BLAKE2B cc0006909a204f0b9efab7605680027b144dfff5c91ddf31460884ada4948b285ff0777f19f9395a1fc447a906018c3a43b40bc7651bdbb715c597849e7ecba9 SHA512 73834c89e2dc8b129a549d082a7862ec81f731c4977c6650cc421c08b62903b78c9fa1e191a330022591e2cb0e29b825e89e2d04056e2f4e6362a168b57fec39
diff --git a/dev-python/dropbox/dropbox-12.0.2.ebuild b/dev-python/dropbox/dropbox-12.0.2.ebuild
new file mode 100644
index 000000000..d32005804
--- /dev/null
+++ b/dev-python/dropbox/dropbox-12.0.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+inherit distutils-r1
+
+GH_PN=dropbox-sdk-python
+
+DESCRIPTION="The offical Dropbox SDK for Python"
+HOMEPAGE="https://www.dropbox.com/developers"
+# pypi does not have tests, stick with gh
+SRC_URI="https://github.com/dropbox/${GH_PN}/archive/refs/tags/v${PV}.tar.gz -> ${GH_PN}-${PV}.gh.tar.gz"
+S="${WORKDIR}"/${GH_PN}-${PV}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/stone[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+
+# disable tests that need SCOPED_USER_DROPBOX_TOKEN
+# and tests that fail
+EPYTEST_DESELECT=(
+ test/integration/test_dropbox.py
+ test/unit/test_dropbox_unit.py::TestClient
+ test/unit/test_dropbox_unit.py::TestOAuth::test_NoRedirect_whole_flow
+)
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # this is wrong
+ sed -i -e "s/^import mock$/from unittest import mock/" test/unit/test_dropbox_unit.py || die
+
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2024-06-04 4:29 UTC|newest]
Thread overview: 10+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-06-04 4:29 Viorel Munteanu [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-04 4:29 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/dropbox/ Viorel Munteanu
2024-06-03 15:02 Viorel Munteanu
2024-06-03 15:02 Viorel Munteanu
2024-05-15 5:19 Viorel Munteanu
2024-04-13 22:19 [gentoo-commits] repo/proj/guru:master " Julien Roy
2024-04-13 18:47 ` [gentoo-commits] repo/proj/guru:dev " Julien Roy
2023-06-13 5:09 Viorel Munteanu
2023-06-13 5:09 Viorel Munteanu
2023-04-14 17:29 Viorel Munteanu
2023-03-12 9:14 [gentoo-commits] repo/proj/guru:master " Viorel Munteanu
2023-03-11 10:19 ` [gentoo-commits] repo/proj/guru:dev " Viorel Munteanu
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1717475283.b108a723b33408eb72c505ba4cc4e5d1d708c943.ceamac@gentoo \
--to=ceamac@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox